module CitableText
using Documenter, DocStringExtensions

import Base: show

using CitableBase 

import CitableBase: supportsversion
import CitableBase: dropversion
import CitableBase: addversion

import CitableBase: urncomparisontrait
import CitableBase: urncontains
import CitableBase: urnsimilar
import CitableBase: urnequals

import CitableBase: supportssubref
import CitableBase: dropsubref
import CitableBase: hassubref
import CitableBase: subref

export CtsUrn
export CitableByCtsUrn
export CtsUrnComparable

export namespace, workcomponent, passagecomponent,
  passagedepth, passageparts, workdepth, workparts,
  isrange, 
  range_begin, range_end,
  droppassage, addpassage,
  addworkid, 
  dropversion, addversion, 
  dropexemplar, addexemplar,
  
  collapsePassageTo, collapsePassageBy,
  workcontains, passagecontains, 
  urncontains, urnsimilar, urnequals
    
include("constants.jl")
include("ctsUrn.jl")
include("urncomponents.jl")
include("componentparts.jl")
include("urnmanipulation.jl")
include("ranges.jl")
include("subrefs.jl")
include("validUrn.jl")
include("urncomparison.jl")

end # module